Subject: Re: Quick question

From: Radoslaw Szkodzinski <[email-masked]>
Date: Tue, 14 Feb 2006 02:50:46 +0100

Junio C Hamano wrote:
> With the git.git repository itself, I tried:
> 
> $ cat /var/tmp/i
> *.c
> $ git ls-files -i -X /var/tmp/i | head -n 6
> apply.c
> arm/sha1.c
> blob.c
> cat-file.c
> check-ref-format.c
> checkout-index.c
> 
> So I am not sure what you mean.  You wanted to "display ignored
> files of the whole project", right?  I am getting arm/sha1.c
> here in my output, so I do not understand the issue here...
> 

Wrong. I wanted to display files that are ignored and not checked in.
(unlike your example)

That's why I used the -o (--others).

Try your example with git repo's .gitignore and any .o file.
I would like to use it for backup~ hunting purposes in a script
and not have to worry about find and other less portable tools.

-- 
GPG Key id:  0xD1F10BA2
Fingerprint: 96E2 304A B9C4 949A 10A0  9105 9543 0453 D1F1 0BA2

AstralStorm